hscolour-1.25: Colourise Haskell code.

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.Haskell.HsColour.InlineCSS

Description

Formats Haskell source code as HTML with inline CSS.

Synopsis

- hscolour :: ColourPrefs -> Bool -> Int -> String -> String
- top'n'tail :: String -> String -> String

# Documentation

hscolour #

Arguments

:: ColourPrefs | Preferences for styling.
-> Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> String | Haskell source code.
-> String | An HTML document containing the coloured Haskell source code.

Formats Haskell source code as a complete HTML document with inline styling

top'n'tail :: String -> String -> String #